Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"posLocationId": "6orMqUyq2Hg3tP",
"terminalId": "6orMqUyq"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({posLocationId: '6orMqUyq2Hg3tP', terminalId: '6orMqUyq'})
};
fetch('https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel"
payload = {
"posLocationId": "6orMqUyq2Hg3tP",
"terminalId": "6orMqUyq"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel"
payload := strings.NewReader("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\"\n}")
.asString();{
"data": {
"url": "<string>"
}
}Generates carousel URL for the specified POS system and location.
curl --request POST \
--url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"posLocationId": "6orMqUyq2Hg3tP",
"terminalId": "6orMqUyq"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({posLocationId: '6orMqUyq2Hg3tP', terminalId: '6orMqUyq'})
};
fetch('https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel"
payload = {
"posLocationId": "6orMqUyq2Hg3tP",
"terminalId": "6orMqUyq"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel"
payload := strings.NewReader("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/carousel")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\",\n \"terminalId\": \"6orMqUyq\"\n}")
.asString();{
"data": {
"url": "<string>"
}
}JWT Authorization header using the Bearer scheme.
Enter JWT Bearer token only in the text input below.
Generate carousel url parameters
Success
Response DTO for generating carousel URL
Show child attributes